[Unit]
Description=FJA web frontend

[Service]
Type=simple
WorkingDirectory=/home/fja/eval
Environment=PYTHONPATH=/home/fja/eval
ExecStart=/usr/bin/uwsgi -s /run/uwsgi/fjaweb.socket \
            --manage-script-name --plugin python3 \
            --mount '/=evalweb:create_app()'
User=fja
Group=www-data
Restart=always
RestartSec=2
TimeoutStopSec=300

CPUAccounting=true
MemoryAccounting=true
Nice=10
# quota for one CPU
CPUQuota=10%
MemoryHigh=800M
MemoryMax=1G

[Unit]
StartLimitBurst=0
StartLimitIntervalSec=0
